## ruby-pgplot 0.1.3

=== doc/Makefile ===
.SUFFIXES: .ja.rd .html.ja .rd .html .rb $(SUFFIXES)

.ja.rd.html.ja:
	rd2 -r rd2html-img-lib.rb --html-lang=ja --out-code=jis --with-css=css.css $< > $@
.rd.html:
	rd2 -r rd2html-img-lib.rb --with-css=css.css -o $* $<
.rb.html:
	rd2 -r rd2html-img-lib.rb --with-css=css.css -o $* $<

targets_en=index.html \
  pgline.html pgcont.html pgimag.html pghist.html \
  rbpg-ind.html
# rbpgplot.html
targets_ja=install.html.ja tutorial-01.html.ja method.html.ja

all: $(targets_en) $(targets_ja)

# Examples
pgline.html: pgline.rd trailer.html
pgcont.html: pgcont.rd trailer.html
pgimag.html: pgimag.rd trailer.html
pghist.html: pgimag.rd trailer.html

install.html.ja: trailer.html 
tutorial-01.html.ja: tutorial-01.ja.rd trailer.html

# Method description
rbpgplot.html: mkdoc.rb
	ruby mkdoc.rb rbpgplot.html

# Method index categolized
rbpg-ind.rd: rbpg-ind.txt mkind.rb trailer.html
	ruby mkind.rb rbpg-ind.txt rbpg-ind.rd

rbpg-ind.html: rbpg-ind.rd

# Method description (obsolete)
# rbpg-doc.html: rbpg-doc.in.html
# 	  rm -f $@
# 	  ruby -p rbpg-relabel.rb rbpg-doc.in.html > $@
# rbpg-doc.in.html: rbpg-doc.rd
# 	  rd2 -r rd2html-img-lib.rb --with-css=css.css -o $* $?
# rbpg-doc.rd: rbpg-mkdoc.rb
# 	  rm -f $@
# 	  ruby rbpg-mkdoc.rb  $< > $@

webdir=masa@rubyforge:/var/www/gforge-projects/pgplot/

webup:
	scp -p css.css rbpgplot.html $(targets_en) $(targets_ja) *.png README.?? $(webdir)

clean:
	rm -f $(targets_en) $(targets_ja)

=== debian/changelog ===
ruby-pgplot (0.1.3-8) unstable; urgency=low

  * Team upload
  * Update for ruby1.8-removal
  * Bump standards version to 3.9.5
  * Update gem2deb depends to 0.6.1~
  [ Cédric Boutillier ]
  * remove obsolete DM-Upload-Allowed flag 
  * use DEP5 copyright-format/1.0 official URL for Format field

 -- Praveen Arimbrathodiyil <praveen@debian.org>  Thu, 02 Jan 2014 21:12:44 +0530

ruby-pgplot (0.1.3-7) unstable; urgency=low

  [ David Prévot ]
  * Fix Vcs- entries (Closes: #691899)

  [ Youhei SASAKI ]
  * Update debian/changelog, Thanks to David Prévot!!

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 24 Nov 2012 16:21:38 +0900

ruby-pgplot (0.1.3-6) unstable; urgency=low

  * Fix FTBFS: Add gfortran-4.6 into Build-Depends
    (Ruby1.8 is build by gcc-4.6)
    Thanks to Micah Gersten! (Closes: #685963)
  * Add libpng12-dev, libx11-dev into Build-Depends
    for better user support

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 02 Sep 2012 04:59:44 +0900

ruby-pgplot (0.1.3-5) unstable; urgency=low

  * Fix FTBFS: workaround for RD2 Bugs
    Thanks to Andreas Beckmann! (Closes: #682409)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 25 Jul 2012 14:43:08 +0900

ruby-pgplot (0.1.3-4) unstable; urgency=low

  * Fix typo, Thanks to Vincent Blut (Closes: #675471)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 02 Jun 2012 14:38:19 +0900

ruby-pgplot (0.1.3-3) unstable; urgency=low

  * Bump Standard version: 3.9.3
  * Fix FTBFS, Thanks to Samuel Thibault! (Closes: #675390)
  * Change patch handling: Use gbp-pq
  * Update debian/copyright for format 1.0
  * Remove unneeded REAMDE.source

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 01 Jun 2012 19:09:17 +0900

ruby-pgplot (0.1.3-2) unstable; urgency=low

  * Team upload.
  * debian/control:
    + fix typo: Ruby-Version -> Ruby-Versions

 -- Lucas Nussbaum <lucas@debian.org>  Sat, 18 Jun 2011 11:14:56 +0200

ruby-pgplot (0.1.3-1) unstable; urgency=low

  * Initial release (Closes: #626097)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 14 Jun 2011 21:44:13 +0200

=== debian/control ===
Source: ruby-pgplot
Section: contrib/ruby
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Build-Depends: 
 debhelper (>= 7.0.50~),
 gem2deb ( >= 0.6.1~),
 ruby-narray,
 pgplot5,
 gfortran,
 libx11-dev,
 libpng12-dev,
 gfortran-4.6
Standards-Version: 3.9.5
Homepage: http://pgplot.rubyforge.org/
XS-Ruby-Versions: all
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-pgplot.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-pgplot.git;a=summary

Package: ruby-pgplot
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby-narray
Description: Ruby interface to the PGPLOT graphics library
 Ruby/PGPLOT is the Ruby interface to the PGPLOT graphics library.
 PGPLOT is a FORTRAN library to draw line/scatter/histogram plot, error
 bar, contour/image/vector map, etc. Supports various output devices
 including Postscript, PNG, X-Window, etc.

Package: ruby-pgplot-dbg
Section: contrib/debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ruby-pgplot (=${binary:Version})
Description: Ruby-PGPLOT debugging symbols
 Ruby/PGPLOT is the Ruby interface to the PGPLOT graphics library.
 PGPLOT is a FORTRAN library to draw line/scatter/histogram plot, error
 bar, contour/image/vector map, etc. Supports various output devices
 including Postscript, PNG, X-Window, etc.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with ruby --buildsystem ruby

override_dh_auto_build:
	dh_auto_build
#	( cd doc && make )

override_dh_strip:
	dh_strip --dbg-package=ruby-pgplot-dbg

override_dh_auto_clean:
	dh_auto_clean
#	( cd doc && make clean )
	[ ! -f rb_pgplot.c ] || rm -f rb_pgplot.c

=== debian/watch ===
version=3
http://rubyforge.org/frs/?group_id=1198 .*/rb_pgplot-(.*)\.tar\.gz

## ruby-pgplot 0.1.9

=== doc/Makefile ===
.SUFFIXES: .rd .html .ja.rd .html.ja .rb $(SUFFIXES)

rd2=ruby myrd2html.rb

.rd.html:
	$(rd2) --lang=en --kw="Ruby,PGPLOT,NArray" $(opt) $< > $@

.ja.rd.html.ja:
	$(rd2) --lang=ja --kw="Ruby,PGPLOT,NArray" $(opt) $< > $@

all=index.html \
 pgline.html \
 pgcont.html \
 pgimag.html \
 pghist.html \
 rbpgplot.html \
 rbpg-ind.html \
 install.html.ja \
 tutorial-01.html.ja \
 method.html.ja

all: $(all)

# Examples
index.html: opt= --title="Ruby/PGPLOT"
pgline.html: opt= --title="pgline : Line plot"
pgcont.html: opt= --title="pgcont : Histogram plot"
pgimag.html: opt= --title="pgimag : Contour plot"
pghist.html: opt= --title="pghist : Image map"
rbpgplot.html: opt= --title="Ruby/PGPLOT: Method Index and Description"
rbpg-ind.html: opt= --title="Ruby/PGPLOT: Categorized Method Index"
install.html.ja: opt= --title="Ruby/PGPLOT: Installation (ja)"
tutorial-01.html.ja: opt= --title="Ruby/PGPLOT: Tutorial 01 (ja)"
method.html.ja: opt= --title="Ruby/PGPLOT: Method Reference (ja)"

pgline.html: pgline.rd trailer.html
pgcont.html: pgcont.rd trailer.html
pgimag.html: pgimag.rd trailer.html
pghist.html: pgimag.rd trailer.html
install.html.ja: trailer.html
tutorial-01.html.ja: tutorial-01.ja.rd trailer.html

# Method description
rbpgplot.html: mkdoc.rb
	#ruby -Kn mkdoc.rb $(HOME)/2012/src/pgplot/src rbpgplot.html
	ruby mkdoc.rb rbpgplot.html

# Method index categolized
rbpg-ind.rd: rbpg-ind.txt mkind.rb trailer.html
	ruby mkind.rb rbpg-ind.txt rbpg-ind.rd

rbpg-ind.html: rbpg-ind.rd

up:
	sh up.sh

clean:
	rm -f *~ rbpg-ind.rd $(all)

=== ext/build_lib/Makefile ===
pkg=pgplot5.2.tar.gz
uri=ftp://ftp.astro.caltech.edu/pub/pgplot/$(pkg)
sd=pgplot
bd=build

all: $(bd)/makefile
	(cd $(bd); make all cpg)

$(pkg):
	ruby download.rb $(uri)

$(sd)/drivers.list: $(pkg)
	gunzip -c $(pkg) | tar xf -
	touch $(sd)/drivers.list

$(bd)/drivers.list: drivers.conf $(sd)/drivers.list
	ruby drivers.rb $(sd) $(bd)

$(bd)/makefile: $(bd)/drivers.list
	ruby makefile.rb $(sd) $(bd)

$(bd)/libpgplot.a: $(bd)/makefile
	(cd $(bd); make libpgplot.a grfont.dat)

$(bd)/pgxwin_server: $(bd)/makefile
	(cd $(bd); make pgxwin_server)

$(bd)/libcpgplot.a: $(bd)/libpgplot.a
	(cd $(bd); make libcpgplot.a)

=== debian/changelog ===
ruby-pgplot (0.1.9-2build2) xenial; urgency=medium

  * No-change rebuild for ruby2.3-only support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 09:32:34 +0000

ruby-pgplot (0.1.9-2build1) xenial; urgency=medium

  * No-change rebuild to add ruby2.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Mar 2016 14:44:37 +0000

ruby-pgplot (0.1.9-2) unstable; urgency=medium

  * Bump Compat: 9
  * Bump Standard version: 3.9.6
  * Fix FTBFS libpng transition (Closes: #809871)
  * Import NMU diff (Closes: #803110)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 05 Jan 2016 15:17:32 +0900

ruby-pgplot (0.1.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build main and -dbg packages on same set of arches (fixes 
    non-x86 FTBFS)

 -- Wookey <wookey@debian.org>  Mon, 26 Oct 2015 21:27:37 +0000

ruby-pgplot (0.1.9-1) unstable; urgency=medium

  * Imported Upstream version 0.1.9
    + Refresh patches: Import upstream changes
  * Add debian/watch: check Github tags
  * Support linux-{amd64,i386} only (Closes: #690282)
  * Update documents during build process

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 29 Aug 2014 02:30:28 +0900

ruby-pgplot (0.1.3-9) unstable; urgency=medium

  * Use gfortran instead of gfortran-4.6 (Closes: #746341)
    Thanks to Matthias Klose!
  * Drop duplicate entry
  * Rebuild for newer Ruby (Closes: #744812)
    Thanks to Christian Hofstaedtler!

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 17 Jul 2014 11:40:33 +0900

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Priority: optional
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
 Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-Build-Depends: 
- debhelper (>= 7.0.50~),
+Build-Depends:
+ debhelper (>= 9~),
+ ruby,
  gem2deb ( >= 0.6.1~),
  ruby-narray,
+ ruby-all-dev,
+ rdtool,
  pgplot5,
- gfortran,
  libx11-dev,
- libpng12-dev,
- gfortran-4.6
-Standards-Version: 3.9.5
+ libpng-dev,
+ gfortran
+Standards-Version: 3.9.6
 Homepage: http://pgplot.rubyforge.org/
 XS-Ruby-Versions: all
 Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-pgplot.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with ruby --buildsystem ruby

override_dh_auto_install:
	dh_auto_install
	( cd $(CURDIR)/doc && make )

override_dh_installdocs:
	dh_installdocs
	( cd $(CURDIR)/debian/ruby-pgplot/usr/share/doc/ruby-pgplot/doc && \
	  rm -fr Makefile *.rb *.sh || true )

override_dh_strip:
	dh_strip --dbg-package=ruby-pgplot-dbg

override_dh_auto_clean:
	dh_auto_clean
	( cd $(CURDIR)/doc && make clean )
	[ ! -f $(CURDIR)/ext/rb_pgplot.c ] || rm -f $(CURDIR)/ext/rb_pgplot.c

## ruby-pgplot 0.2.0

=== doc/Makefile ===
--- 
+++ 
@@ -42,8 +42,8 @@
 
 # Method description
 rbpgplot.html: mkdoc.rb
-	#ruby -Kn mkdoc.rb $(HOME)/2012/src/pgplot/src rbpgplot.html
-	ruby mkdoc.rb rbpgplot.html
+	ruby -Kn mkdoc.rb /data/masa/2013/src/pgplot/src rbpgplot.html
+	#ruby mkdoc.rb rbpgplot.html
 
 # Method index categolized
 rbpg-ind.rd: rbpg-ind.txt mkind.rb trailer.html

=== ext/build_lib/Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 $(sd)/drivers.list: $(pkg)
 	gunzip -c $(pkg) | tar xf -
 	touch $(sd)/drivers.list
+	ruby patch.rb $(sd)
 
 $(bd)/drivers.list: drivers.conf $(sd)/drivers.list
 	ruby drivers.rb $(sd) $(bd)

=== debian/changelog ===
ruby-pgplot (0.2.0-3build2) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 15:41:43 -0300

ruby-pgplot (0.2.0-3build1) noble; urgency=medium

  * No-change upload to add support for ruby3.2.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 07 Feb 2024 18:28:58 -0300

ruby-pgplot (0.2.0-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Drop fields with obsolete URLs.
  * Fill in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Lucas Kanashiro ]
  * d/control: move package to main (Closes: #1025805).

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 07 Feb 2023 12:51:17 -0300

ruby-pgplot (0.2.0-2) unstable; urgency=medium

  * Team upload.

  [ Youhei SASAKI ]
  * Add SALSA_CI_COMPONENTS for contrib build

  [ Cédric Boutillier ]
  * Add .gitattributes to keep unwanted files out of the source package

  [ Lucas Kanashiro ]
  * B-d on giza-dev instead of pgplot5 (Closes: #995922)
  * Declare compliance with Debian Policy 4.6.0
  * d/watch: bump to version 4
  * Bump debhelper compatibility level to 13

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 04 Nov 2021 17:06:26 -0300

ruby-pgplot (0.2.0-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml
  * Update d/ch

  [ Youhei SASAKI ]
  * New upstream version 0.2.0
  * d/changelog: remove trailing-whitespace
  * Drop obsolete patches
  * d/{control,compat}: use debhelper-compat
  * Add d/control: Add Rules-Requires-Root
  * d/control: Update Vcs-{Git,Browser}. use salsa
  * d/control: Bump Standard Version 4.5.0
  * d/copyright: fix insecure-copyright-format-uri

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 26 Feb 2020 16:20:42 +0900

ruby-pgplot (0.1.9-3) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

  [ Youhei SASAKI ]
  * Refresh patches
  * Remove dbg package

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 06 Mar 2016 22:00:12 +0900

=== debian/control ===
Source: ruby-pgplot
Section: ruby
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb ( >= 0.6.1~),
               gfortran,
               libpng-dev,
               libx11-dev,
               giza-dev,
               rdtool,
               ruby,
               ruby-all-dev,
               ruby-narray
Standards-Version: 4.6.1
XS-Ruby-Versions: all
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-pgplot.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-pgplot
Rules-Requires-Root: no
Homepage: http://masa16.github.io/ruby-pgplot/

Package: ruby-pgplot
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby-narray,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ruby interface to the PGPLOT graphics library
 Ruby/PGPLOT is the Ruby interface to the PGPLOT graphics library.
 PGPLOT is a FORTRAN library to draw line/scatter/histogram plot, error
 bar, contour/image/vector map, etc. Supports various output devices
 including Postscript, PNG, X-Window, etc.

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,6 @@
 	( cd $(CURDIR)/debian/ruby-pgplot/usr/share/doc/ruby-pgplot/doc && \
 	  rm -fr Makefile *.rb *.sh || true )
 
-override_dh_strip:
-	dh_strip --dbg-package=ruby-pgplot-dbg
-
 override_dh_auto_clean:
 	dh_auto_clean
 	( cd $(CURDIR)/doc && make clean )

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ruby-pgplot-$1\.tar\.gz/ \
  https://github.com/masa16/ruby-pgplot/tags .*/v?(\d\S*)\.tar\.gz
